Package org.jfree.layouting.layouter.style.resolver

## Class ResolveHandlerSorter

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.ResolveHandlerSorter

-     public final class ResolveHandlerSorter
      extends java.lang.Object

  Compares two resolve handlers for order. A handler declares its dependencies and therefore requires that all dependent styles have been resolved before trying to compute these properties.

  When sorting, we match this modules position against all dependent modules until all positions are stable. Circular references are evil and must be filtered before passing the classes to this sorter.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResolveHandlerModule[]` | `sort​(ResolveHandlerModule[] modules)` | Sorts the given list of package states.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### sort

          public static ResolveHandlerModule[] sort​(ResolveHandlerModule[] modules)

      Sorts the given list of package states. The packages are sorted by their dependencies in a way so that all dependent packages are placed on lower positions than the packages which declared the dependency.
      Parameters:
        `modules` - the list of modules.